
From: Kumar Gala <galak@freescale.com>

Fix for trivial fix for 2.6.11 oprofile compilation on e500 based ppc.

Signed-off-by: Andy Fleming <afleming@freescale.com>
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/oprofile/op_model_fsl_booke.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/ppc/oprofile/op_model_fsl_booke.c~ppc32-trivial-fix-for-e500-oprofile-build arch/ppc/oprofile/op_model_fsl_booke.c
--- 25/arch/ppc/oprofile/op_model_fsl_booke.c~ppc32-trivial-fix-for-e500-oprofile-build	2005-03-07 20:41:19.000000000 -0800
+++ 25-akpm/arch/ppc/oprofile/op_model_fsl_booke.c	2005-03-07 20:41:19.000000000 -0800
@@ -150,7 +150,6 @@ static void fsl_booke_handle_interrupt(s
 	int is_kernel;
 	int val;
 	int i;
-	unsigned int cpu = smp_processor_id();
 
 	/* set the PMM bit (see comment below) */
 	mtmsr(mfmsr() | MSR_PMM);
@@ -162,7 +161,7 @@ static void fsl_booke_handle_interrupt(s
 		val = ctr_read(i);
 		if (val < 0) {
 			if (oprofile_running && ctr[i].enabled) {
-				oprofile_add_sample(pc, is_kernel, i, cpu);
+				oprofile_add_pc(pc, is_kernel, i);
 				ctr_write(i, reset_value[i]);
 			} else {
 				ctr_write(i, 0);
_
